/*
 ******************************************************************************
 * Copyright (C) 2004, International Business Machines Corporation and   *
 * others. All Rights Reserved.                                               *
 ******************************************************************************
 */
package com.ibm.icu.dev.tool.cldr;

/**
 * @author ram
 */
public class LDMLConstants {
    public static final String LDML            = "ldml";
    public static final String IDENTITY        = "identity";
    public static final String LDN             = "localeDisplayNames";
    public static final String LAYOUT          = "layout";
    public static final String ORIENTATION     = "orientation";
    public static final String CHARACTERS      = "characters";
    public static final String DELIMITERS      = "delimiters";
    public static final String MEASUREMENT     = "measurement";
    public static final String DATES           = "dates";
    public static final String NUMBERS         = "numbers";
    public static final String COLLATIONS      = "collations";
    public static final String POSIX           = "posix";
    public static final String SPECIAL         = "special";
    public static final String SOURCE          = "source";
    public static final String PATH            = "path";
    public static final String REGISTRY        = "registry";
    public static final String ALT             = "alt";
    public static final String DRAFT           = "draft";
    public static final String REFERENCES      = "references";
    public static final String PROPOSED        = "proposed";
    public static final String ALIAS           = "alias";
    public static final String VERSION         = "version";
    public static final String LANGUAGE        = "language";
    public static final String SCRIPT          = "script";
    public static final String TERRITORY       = "territory";
    public static final String VARIANT         = "variant";
    public static final String TYPE            = "type";
    public static final String NUMBER          = "number";
    public static final String GENERATION      = "generation";
    public static final String LANGUAGES       = "languages";
    public static final String SCRIPTS         = "scripts";
    public static final String TERRITORIES     = "territories";
    public static final String VARIANTS        = "variants";
    public static final String TYPES           = "types";
    public static final String KEYS            = "keys";
    public static final String KEY             = "key";
    public static final String EXEMPLAR_CHARACTERS ="exemplarCharacters";
    public static final String MAPPING         ="mapping";
    public static final String QS              = "quotationStart";
    public static final String QE              = "quotationEnd";
    public static final String AQS             = "alternateQuotationStart";
    public static final String AQE             = "alternateQuotationEnd";
    public static final String MS              = "measurementSystem";
    public static final String HEIGHT          = "height";
    public static final String WIDTH           = "width";
    public static final String PAPER_SIZE      = "paperSize";
    public static final String LPC             = "localizedPatternChars";
    public static final String DEFAULT         = "default";
    public static final String CALENDARS       = "calendars";
    public static final String MONTHS          = "months";
    public static final String DAYS            = "days";
    public static final String TZN             = "timeZoneNames";
    public static final String CALENDAR        = "calendar";
    public static final String ZONE            = "zone";
    public static final String EXEMPLAR_CITY   = "exemplarCity";
    public static final String LONG            = "long";
    public static final String SHORT           = "short";
    public static final String DAYLIGHT        = "daylight";
    public static final String STANDARD        = "standard";
    public static final String WEEK            = "week";
    public static final String AM              = "am";
    public static final String PM              = "pm";
    public static final String ERAS            = "eras";
    public static final String DATE_FORMATS      = "dateFormats";
    public static final String DFL               = "dateFormatLength";
    public static final String DATE_FORMAT       = "dateFormat";
    
    public static final String TIME_FORMATS      = "timeFormats";
    public static final String TFL               = "timeFormatLength";
    public static final String TIME_FORMAT       = "timeFormat";
    
    public static final String DATE_TIME_FORMATS = "dateTimeFormats";
    public static final String DTFL              = "dateTimeFormatLength";
    public static final String DATE_TIME_FORMAT  = "dateTimeFormat";
    
    public static final String MONTH_CONTEXT   = "monthContext";
    public static final String DAY_CONTEXT     = "dayContext";
    public static final String MONTH_WIDTH     = "monthWidth";
    public static final String DAY_WIDTH       = "dayWidth";

    public static final String MONTH           = "month";
    public static final String DAY             = "day";
    public static final String COUNT           = "count";
    public static final String MINDAYS         = "minDays";
    public static final String FIRSTDAY        = "firstDay" ;
    public static final String WENDSTART       = "weekendStart";
    public static final String WENDEND         = "weekendEnd";
    public static final String WEEKEND         = "weekend";
    public static final String TIME            = "time";
    public static final String ERA             = "era";
    public static final String ERAABBR         = "eraAbbr";
    public static final String ERANAMES        = "eraNames";
    public static final String ABBREVIATED     = "abbreviated";
    public static final String WIDE            = "wide";
    public static final String CURRENCY        = "currency";
    public static final String DECIMAL_FORMATS = "decimalFormats";
    public static final String SCIENTIFIC_FORMATS  = "scientificFormats";
    public static final String CURRENCY_FORMATS    = "currencyFormats";
    public static final String PERCENT_FORMATS     = "percentFormats";
    public static final String SYMBOLS         = "symbols";
    public static final String CURRENCIES      = "currencies";
    public static final String SYMBOL          = "symbol";
    public static final String DISPLAY_NAME    = "displayName";
    public static final String PATTERN         = "pattern";
    public static final String DECIMAL         = "decimal";
    public static final String GROUP           = "group";
    public static final String MESSAGES        = "messages";
    public static final String YESSTR          = "yesstr";
    public static final String YESEXPR         = "yesexpr";
    public static final String NOSTR           = "nostr";
    public static final String NOEXPR          = "noexpr";
    public static final String COLLATION       = "collation";
    public static final String SEQUENCE        = "Sequence";
    public static final String RULES           = "rules";
    public static final String SETTINGS        = "settings";
    public static final String SUPPRESS_CONTRACTIONS = "suppress_contractions";
    public static final String OPTIMIZE        = "optimize";
    public static final String BASE            = "base";
    public static final String STRENGTH        = "strength";
    public static final String ALTERNATE       = "alternate";
    public static final String BACKWARDS       = "backwards";
    public static final String NORMALIZATION   = "normalization";
    public static final String CASE_LEVEL      = "caseLevel";
    public static final String CASE_FIRST      = "caseFirst";
    public static final String HIRAGANA_Q      = "hiraganaQuarternary";
    public static final String NUMERIC         = "numeric";
    public static final String RESET           = "reset";
    public static final String PC              = "pc";
    public static final String SC              = "sc";
    public static final String TC              = "tc";
    public static final String QC              = "qc";
    public static final String IC              = "ic";
    public static final String P               = "p";
    public static final String S               = "s";
    public static final String T               = "t";
    public static final String Q               = "q";
    public static final String I               = "i";
    public static final String X               = "x";
    public static final String LAST_VARIABLE   = "last_variable";
    public static final String CP              = "cp";
    public static final String HEX             = "hex";
    public static final String PRIMARY         = "primary";
    public static final String SECONDARY       = "secondary";
    public static final String TERTIARY        = "tertiary";
    public static final String QUARTERNARY     = "quarternary";
    public static final String IDENTICAL       = "identical";
    public static final String BEFORE          = "before";
    public static final String CONTEXT         = "context";
    public static final String EXTEND          = "extend";
    // supplemental data
    public static final String SUPPLEMENTAL_DATA = "supplementalData";
    public static final String CURRENCY_DATA     = "currencyData";
    public static final String FRACTIONS         = "fractions";
    public static final String INFO              = "info";
    public static final String ISO_4217          = "iso4217";
    public static final String DIGITS            = "digits";
    public static final String ROUNDING          = "rounding";
    public static final String REGION            = "region";
    public static final String ISO_3166          = "iso3166";
    public static final String VALID_SUBLOCALE   = "validSubLocales";
    
    
}
